--- Makefile.orig	2011-07-30 23:01:18.000000000 +0200
+++ Makefile	2011-07-30 23:06:18.000000000 +0200
@@ -310,6 +310,9 @@
   ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.6)
     SOLINK+=/usr/lib/bundle1.o
   endif
+  ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.7)
+    SOLINK+=/usr/lib/bundle1.o
+  endif
 else
 # These are used for all but Darwin
   SOLINK=-shared
--- Makefile.rules.orig	2011-07-30 23:06:39.000000000 +0200
+++ Makefile.rules	2011-07-30 23:07:42.000000000 +0200
@@ -41,6 +41,10 @@
     # Snow Leopard has an issue with this optimization flag on large files (like chan_sip)
     OPTIMIZE+=-fno-inline-functions
   endif
+  ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.7)
+    # Lion also has an issue with this optimization flag on large files (like chan_sip)
+    OPTIMIZE+=-fno-inline-functions
+  endif
 endif
 
 ifeq ($(findstring DONT_OPTIMIZE,$(MENUSELECT_CFLAGS)),)
--- codecs/gsm/Makefile.orig	2011-07-30 23:08:05.000000000 +0200
+++ codecs/gsm/Makefile	2011-07-30 23:08:56.000000000 +0200
@@ -57,6 +57,10 @@
       # Snow Leopard reports i386, even though it's really x86_64
       OPTIMIZE+=-mtune=native
     endif
+    ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.7)
+      # Lion also reports i386, even though it's really x86_64
+      OPTIMIZE+=-mtune=native
+    endif
   endif
 endif
 
--- main/Makefile.orig	2011-07-30 23:09:25.000000000 +0200
+++ main/Makefile	2011-07-30 23:09:53.000000000 +0200
@@ -69,6 +69,9 @@
   ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.6)
     ASTLINK+=/usr/lib/bundle1.o
   endif
+  ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.7)
+    ASTLINK+=/usr/lib/bundle1.o
+  endif
 else
 # These are used for all but Darwin
   ifneq ($(findstring LOADABLE_MODULES,$(MENUSELECT_CFLAGS)),)
